CREATE TABLE `icd_config_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ied_name` varchar(45) NOT NULL COMMENT 'IED名称',
  `ldevice_inst` varchar(45) NOT NULL COMMENT '设备类型',
  `ln_class` varchar(45) NOT NULL COMMENT 'LN类型',
  `ln_desc` varchar(200) DEFAULT NULL,
  `table_name` varchar(45) DEFAULT NULL COMMENT '表名',
  PRIMARY KEY (`id`),
  KEY `idxKey` (`ied_name`,`ldevice_inst`,`ln_class`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='ICD配置类型表';
CREATE TABLE `icd_config_type_att` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `icd_config_type_id` int(11) NOT NULL COMMENT '配置类型表id',
  `do_name` varchar(45) NOT NULL COMMENT '属性',
  `param` varchar(200) DEFAULT NULL COMMENT '参数',
  `description` varchar(200) DEFAULT NULL COMMENT '备注',
  `col_name` varchar(45) DEFAULT NULL COMMENT '字段名',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='ICD配置类型属性表';
CREATE TABLE `icd_config_type_inst` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `icd_config_type_id` int(11) NOT NULL COMMENT '配置类型表id',
  `inst` varchar(45) NOT NULL COMMENT '实例',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='ICD配置类型实例表';
